package com.vessel.app.common.tracking

object TrackingConstants {
    const val SIGN_UP_WALL_SHOWN = "SIGN UP WALL SHOWN"
    const val CREATE_AN_ACCOUNT_TAPPED = "CREATE AN ACCOUNT TAPPED"
    const val SIGN_IN_TAPPED = "SIGN IN TAPPED"
    const val FORGOT_PASSWORD_TAPPED = "FORGOT PASSWORD TAPPED"
    const val CREATE_ACCOUNT_SUCCESS = "CREATE ACCOUNT SUCCESS"
    const val CREATE_ACCOUNT_FAIL = "CREATE ACCOUNT FAIL"
    const val SIGN_IN_SUCCESS = "SIGN IN SUCCESS"
    const val SIGN_IN_FAIL = "SIGN IN FAIL"
    const val SSO_SIGN_UP_FAIL = "SSO SIGN UP FAIL"
    const val FORGOT_PASSWORD_SUBMIT = "FORGOT PASSWORD SUBMIT"
    const val TEST_TAPPED = "TEST TAPPED"
    const val TESTING_PLAN = "TESTING PLAN"
    const val TIME_WARNING_SHOWN = "TIME WARNING SHOWN"
    const val WARNING_TEST_NOW_TAPPED = "WARNING TEST NOW TAPPED"
    const val WARNING_CANCEL_TAPPED = "WARNING CANCEL TAPPED"
    const val START_THE_TIMER_TAPPED = "START THE TIMER TAPPED"
    const val SKIP_VIDEO = "SKIP VIDEO"
    const val SCAN_WARNING_CONTINUE_TAPPED = "SCAN WARNING CONTINUE TAPPED"
    const val PUSH_NOTIFICATION_TAPPED = "PUSH NOTIFICATION TAPPED"
    const val MY_ACCOUNT_TAPPED = "MY ACCOUNT TAPPED"
    const val CHANGE_PASSWORD_TAPPED = "CHANGE PASSWORD TAPPED"
    const val CHANGE_PASSWORD_SUCCESS = "CHANGE PASSWORD SUCCESS"
    const val CHANGE_PASSWORD_FAIL = "CHANGE PASSWORD FAIL"
    const val UPDATE_PROFILE_SUCCESS = "UPDATE PROFILE SUCCESS"
    const val UPDATE_PROFILE_FAIL = "UPDATE PROFILE FAIL"
    const val MANAGE_MEMBERSHIP_TAPPED = "MANAGE MEMBERSHIP TAPPED"
    const val LOGOUT_TAPPED = "LOGOUT TAPPED"
    const val ORDER_CARDS_TAPPED = "ORDER CARDS TAPPED"
    const val BACKED_BY_SCIENCE_TAPPED = "BACKED BY SCIENCE TAPPED"
    const val SUPPORT_TAPPED_MENU = "SUPPORT TAPPED MENU"
    const val CHAT_WITH_SUPPORT = "CHAT_WITH_SUPPORT"
    const val PLAN_TAB_TAPPED = "PLAN TAB TAPPED"
    const val CHAT_TAB_TAPPED = "CHAT TAB TAPPED"
    const val MORE_TAB_TAPPED = "MORE TAB TAPPED"
    const val RESULTS_TAB_TAPPED = "RESULTS TAB TAPPED"
    const val ADD_TO_YOUR_PLAN_TAPPED = "ADD TO YOUR PLAN TAPPED"
    const val TEST_PLAN_REMINDER_SET = "TEST PLAN REMINDER SET"
    const val TEST_PLAN_REMINDER_SKIPPED = "TEST PLAN REMINDER skipped"
    const val TEST_PLAN_REMINDER_TAPPED = "TEST PLAN REMINDER TAPPED"
    const val BUILD_A_FOOD_PLAN_TAPPED = "BUILD A FOOD PLAN TAPPED"
    const val SUPPLEMENT_CART_OPEN = "SUPPLEMENT CART OPEN"
    const val BUILD_SUPPLEMENT_PLAN_TAPPED = "BUILD SUPPLEMENT PLAN TAPPED"
    const val BUILD_STRESS_RELIEF_PLAN_TAPPED = "BUILD STRESS RELIEF PLAN TAPPED"
    const val REMINDER_ADDED = "REMINDER ADDED"
    const val GOAL_TAPPED = "GOAL TAPPED"
    const val REAGENT_TAPPED = "REAGENT TAPPED"
    const val TALK_TO_NUTRITIONIST_TAPPED = "TALK TO NUTRITIONIST TAPPED"
    const val BOOK_NUTRITIONIST_TAPPED = "BOOK NUTRITIONIST TAPPED"
    const val GET_STARTED_SHOWN = "GET STARTED SHOWN"
    const val SAMPLE_IMAGE_UPLOAD_SUCCESS = "SAMPLE IMAGE UPLOAD SUCCESS"
    const val SAMPLE_IMAGE_UPLOAD_FAILURE = "SAMPLE IMAGE UPLOAD FAILURE"
    const val SAMPLE_ASSOCIATION_SUCCESS = "SAMPLE ASSOCIATION SUCCESS"
    const val RESCAN_ERROR = "RESCAN ERROR"
    const val RESCAN_ERROR_CONTINUE = "RESCAN ERROR CONTINUE"
    const val RESCAN_ERROR_RETRY = "RESCAN ERROR RETRY"
    const val SAMPLE_RESULTS_RETRIEVED_SUCCESS = "SAMPLE RESULTS RETRIEVED SUCCESS"
    const val SAMPLE_RESULTS_RETRIEVED_FAILURE = "SAMPLE RESULTS RETRIEVED FAILURE"
    const val CAMERA_OPENED = "CAMERA OPENED"
    const val SAMPLE_IMAGE_CAPTURE_ABANDONED = "SAMPLE IMAGE CAPTURE ABANDONED"
    const val SAMPLE_IMAGE_CAPTURED = "SAMPLE IMAGE CAPTURED"
    const val SAMPLE_IMAGE_CAPTURED_DELAYED = "SAMPLE IMAGE CAPTURED DELAYED"
    const val SAMPLE_IMAGE_VALIDATION_FAILURE = "SAMPLE IMAGE VALIDATION FAILURE"
    const val SUPPLEMENT_ADD = "SUPPLEMENT ADD"
    const val SUPPLEMENT_REMOVE = "SUPPLEMENT REMOVE"
    const val SUPPLEMENT_CHECKOUT_STARTED = "SUPPLEMENT CHECKOUT STARTED"
    const val SHOW_SHADOW_ERROR = "SHOW SHADOW ERROR"
    const val SHOW_GLARE_ERROR = "SHOW GLARE ERROR"
    const val SHOW_LIGHTING_ERROR = "SHOW LIGHTING ERROR"
    const val SURVEY_STARTED = "SURVEY STARTED"
    const val SURVEY_SUBMITTED = "SURVEY SUBMITTED"
    const val SURVEY_SKIP = "SURVEY SKIP"
    const val APP_REVIEW_FEEDBACK = "APP REVIEW FEEDBACK"
    const val APP_REVIEW_GO_TO_STORE = "APP REVIEW GO TO STORE"
    const val APP_REVIEW_COMMENTS = "APP REVIEW COMMENTS"
    const val SAMPLE_IMAGE_RETAKE = "SAMPLE IMAGE RETAKE"
    const val SAMPLE_IMAGE_CONFIRMED = "SAMPLE IMAGE CONFIRMED"
    const val CARD_ACQUIRED = "CARD ACQUIRED"
    const val APP_SUPPLEMENTS_CHECKOUT_SHOWN = "APP SUPPLEMENTS CHECKOUT SHOWN"
    const val APP_SUPPLEMENTS_CHECKOUT_EDIT = "APP SUPPLEMENTS CHECKOUT EDIT"
    const val APP_SUPPLEMENTS_CHECKOUT_EDIT_ADDERSS = "APP SUPPLEMENTS CHECKOUT EDIT ADDERSS"
    const val APP_SUPPLEMENTS_CHECKOUT_EDIT_PAYMENT = "APP SUPPLEMENTS CHECKOUT EDIT PAYMENT"
    const val APP_SUPPLEMENTS_CHECKOUT_ORDER = "APP SUPPLEMENTS CHECKOUT ORDER"
    const val APP_SUPPLEMENTS_CHECKOUT_SUCCESS = "APP SUPPLEMENTS CHECKOUT SUCCESS"
    const val APP_SUPPLEMENTS_CHECKOUT_FAILED = "APP SUPPLEMENTS CHECKOUT FAILED"
    const val APP_SUPPLEMENTS_CHECKOUT_CANCEL = "APP SUPPLEMENTS CHECKOUT CANCEL"
    const val SIGN_UP_TYPE_SELECTED = "SIGN UP TYPE SELECTED"
    const val SIGN_UP_GIFTED_CONTINUE = "SIGN UP GIFTED CONTINUE"
    const val SIGN_UP_GIFTED_BECOME_MEMBER_LINK = "SIGN UP GIFTED BECOME MEMBER LINK"
    const val SIGN_UP_LOG_IN = "SIGN UP LOG IN"
    const val SIGN_UP_BUY_ON_WEB = "SIGN UP BUY ON WEB"
    const val BE_TIMEOUT_ERROR = "BE TIMEOUT ERROR"
    const val BE_CARD_ERROR = "BE CARD ERROR"
    const val SHADOW_ERROR = "SHADOW ERROR"
    const val BE_API_ERROR = "BE API ERROR"
    const val BE_CHEMISTRY_ERROR = "BE CHEMISTRY ERROR"
    const val BE_ERROR_TRY_AGAIN = "BE ERROR TRY AGAIN"
    const val EXTERNAL_CARD_SCAN = "EXTERNAL CARD SCAN"
    const val GOALS_UPDATED = "GOALS UPDATED"

    const val KEY_LOCATION = "Location"
    const val KEY_ERROR = "Error"
    const val KEY_ERROR_CODE = "error_Code"
    const val KEY_GOAL_NAME = "Goal name"
    const val KEY_REAGENT_NAME = "Reagent name"
    const val KEY_EMAIL: String = "Email"
    const val KEY_FIRST_NAME: String = "First name"
    const val KEY_LAST_NAME: String = "Last name"
    const val KEY_UUID: String = "uuid"
    const val KEY_WELLNESS_CARD_UUID: String = "wellness_card_uuid"
    const val KEY_UPLOAD_TIME_MS: String = "upload_time_ms"
    const val KEY_PROCESSING_TIME_MS: String = "processing_time_ms"
    const val KEY_ATTEMPT_TIME_MS: String = "attempt_time_ms"
    const val KEY_AUTO_SCAN: String = "auto_scan"
    const val KEY_NAME: String = "name"
    const val KEY_ID: String = "id"
    const val KEY_IS_RECOMMENDED: String = "isRecommended"
    const val KEY_DATA: String = "data"
    const val KEY_SURVEY_ID: String = "survey_id"
    const val KEY_FEEDBACK: String = "feedback"
    const val KEY_TEXT: String = "text"
    const val KEY_SELECT_GO: String = "selectGo"
    const val KEY_PROPERTY: String = "property"
    const val KEY_QR_CODE: String = "qr_code"
    const val KEY_SELECT_GOALS: String = "goals"

    const val FROM_MENU = "Menu"
    const val FROM_HOME = "Home"
    const val FROM_ONBOARDING = "onboarding"
    const val FROM_PLAN_BUILDER = "plan builder"
    const val FROM_REAGENT_DETAILS = "Reagent Details"
    const val FROM_TEST_POST_FLOW = "Take test post flow"
    const val FROM_HOME_LOGO_BUTTON = "Home logo button"
    const val FROM_HOME_FIRST_TEST = "First test"
    const val FROM_NOTIFICATION = "Notification"
    const val SIGN_UP_NO_CARDS = "SIGN UP NO CARDS"
    const val SIGN_UP_GIFTED = "SIGN UP GIFTED"
    const val SIGN_UP_BOUGHT_ON_WEB = "SIGN UP BOUGHT ON WEB"

    const val PLAN_BUILD_SUBMITTED = "PLAN_BUILD_SUBMITTED"

    const val ALLERGIES_SUBMITTED = "ALLERGIES_SUBMITTED"
    const val DIET_SUBMITTED = "DIET_SUBMITTED"
    const val PLAN_BUILDER_STARTED = "PLAN_BUILDER_STARTED"
    const val PLAN_BUILDER_COMPLETE = "PLAN_BUILDER_COMPLETE"
    const val PLAN_ITEM_ADDED = "PLAN ITEM ADDED"
    const val PLAN_ITEM_DELETED = "PLAN ITEM DELETED"
    const val PLAN_ITEM_CHECKED = "PLAN ITEM CHECKED"
    const val PLAN_ITEM_VIEWED = "PLAN DETAILS VIEWED"
    const val PROGRAM_ENROLLED = "PROGRAM ENROLLED"
    const val PROGRAM_LEAVE = "PROGRAM LEAVE"
    const val PROGRAM_COMPLETED = "PROGRAM COMPLETED"
    const val PROGRAM_DETAILS_VIEWED = "PROGRAM DETAILS VIEWED"
    const val PROGRAM_SCHEDULE_VIEW = "PROGRAM SCHEDULE VIEW"
    const val CONTENT_LIKED = "CONTENT LIKED"
    const val CONTENT_UNLIKED = "CONTENT UNLIKED"
    const val CONTENT_DISLIKED = "CONTENT DISLIKED"
    const val USER_PROFILE_VIEWED = "USER PROFILE VIEWED"
    const val ENROLL_TYPE = "enroll_type"
    const val LEAVE_TYPE = "leave_type"
    const val END_TYPE = "end_type"
    const val IS_PROGRAM_COMPLETE = "is_complete"
    const val IS_ENROLLED = "is_enrolled"
    const val TYPE = "type"
    const val USER_FEEDBACK = "User Feedback"

    const val LESSON_SERVED = "LESSON SERVED"
    const val LESSON_STARTED = "LESSON STARTED"
    const val LESSON_COMPLETED = "LESSON COMPLETED"
    const val LESSON_LOCK_TAPPED = "LESSON LOCK TAPPED"
    const val LESSON_UNLOCK_TAPPED = "LESSON UNLOCK TAPPED"
    const val LESSON_RATING = "LESSON RATING"
    const val ACTIVITY_SERVED = "ACTIVITY SERVED"
    const val ACTIVITY_COMPLETED = "ACTIVITY COMPLETED"
    const val ACTIVITY_UNLOCK_TAPPED = "ACTIVITY UNLOCK TAPPED"
    const val ACTIVITY_RATING = "ACTIVITY RATING"
    const val WELLNESS_ACTIVITY_SERVED = "WELLNESS ACTIVITY SERVED"
    const val WELLNESS_ACTIVITY_COMPLETED = "WELLNESS ACTIVITY COMPLETED"
    const val WELLNESS_ACTIVITY_RATING = "WELLNESS ACTIVITY RATING"
    const val ESSENTIALS_SERVED = "ESSENTIALS SERVED"
    const val ESSENTIALS_COMPLETED = "ESSENTIALS COMPLETED"
    const val CONGRATS_TODAYS_PROGRAM = "CONGRATS TODAYS PROGRAM"
    const val CONGRATS_TODAYS_PROGRAM_ASK_COMMUNITY = "CONGRATS TODAYS PROGRAM ASK COMMUNITY"
    const val CONGRATS_TODAYS_PROGRAM_ASK_COACH = "CONGRATS TODAYS PROGRAM ASK COACH"
    const val LESSONS_COMPLETE_ADD_ANOTHER_GOAL = "LESSONS COMPLETE ADD ANOTHER GOAL"
    const val PROGRAM_GOAL_SELECTED = "PROGRAM GOAL SELECTED"
    const val CHECKIN_STARTED = "CHECKIN STARTED"
    const val CHECKIN_COMPLETED = "CHECKIN COMPLETED"
    const val LAST_SCREEN = "LAST SCREEN"
    const val SCREENSHOT_TAKEN = "SCREENSHOT TAKEN"
    const val AFTER_TEST_FLOW_TAPPED = "AFTER TEST FLOW TAPPED"
    const val REAGENT_iD: String = "reagent_id"
    const val SEQUENCE: String = "sequence"
}
